Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]


Groups > linux.kernel > #1257535

[PATCH 08/10] merge_config.sh: use trap for cleanup

From Olof Johansson <olof@lixom.net>
Newsgroups linux.kernel
Subject [PATCH 08/10] merge_config.sh: use trap for cleanup
Date 2015-10-28 01:50 +0100
Message-ID <qon6b-3PX-37@gated-at.bofh.it> (permalink)
References <qon69-3PX-5@gated-at.bofh.it>
Organization linux.* mail to news gateway

Show all headers | View raw


Use the trap to cleanup even on regular exit.

Signed-off-by: Olof Johansson <olof@lixom.net>
---
 scripts/kconfig/merge_config.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/scripts/kconfig/merge_config.sh b/scripts/kconfig/merge_config.sh
index 1945b2c..b26c0ef 100755
--- a/scripts/kconfig/merge_config.sh
+++ b/scripts/kconfig/merge_config.sh
@@ -23,10 +23,12 @@
 EXITVAL=0
 
 clean_up() {
-	rm -f $TMP_FILE
+	if [ -n "$CLEAN_FILES" ] ; then
+		rm -f $CLEAN_FILES
+	fi
 	exit $EXITVAL
 }
-trap clean_up HUP INT TERM
+trap clean_up HUP INT TERM EXIT
 
 usage() {
 	echo "Usage: $0 [OPTIONS] [CONFIG [...]]"
@@ -178,4 +180,4 @@ for CFG in $(sed -n "$SED_CONFIG_EXP" $TMP_FILE); do
 	fi >&2
 done
 
-clean_up
+# Note: clean_up will run here due to EXIT being trapped
-- 
2.1.4

--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

Back to linux.kernel | Previous | NextPrevious in thread | Next in thread | Find similar | Unroll thread


Thread

[PATCH 00/10] merge_config misc reworks and testcases Olof Johansson <olof@lixom.net> - 2015-10-28 01:50 +0100
  [PATCH 09/10] merge_config.sh: allow single configs to be passed in on cmdline Olof Johansson <olof@lixom.net> - 2015-10-28 01:50 +0100
    Re: [PATCH 09/10] merge_config.sh: allow single configs to be passed  in on cmdline Darren Hart <dvhart@infradead.org> - 2015-10-28 08:30 +0100
  [PATCH 08/10] merge_config.sh: use trap for cleanup Olof Johansson <olof@lixom.net> - 2015-10-28 01:50 +0100
    Re: [PATCH 08/10] merge_config.sh: use trap for cleanup Darren Hart <dvhart@infradead.org> - 2015-10-28 08:20 +0100
    Re: [PATCH 08/10] merge_config.sh: use trap for cleanup Darren Hart <dvhart@infradead.org> - 2015-10-28 08:30 +0100
  Re: [PATCH 00/10] merge_config misc reworks and testcases Olof Johansson <olof@lixom.net> - 2015-10-28 01:50 +0100
  Re: [PATCH 00/10] merge_config misc reworks and testcases Darren Hart <dvhart@infradead.org> - 2015-10-28 06:10 +0100
    Re: [PATCH 00/10] merge_config misc reworks and testcases Bruce Ashfield <bruce.ashfield@windriver.com> - 2015-10-28 07:30 +0100
      Re: [PATCH 00/10] merge_config misc reworks and testcases Darren Hart <dvhart@infradead.org> - 2015-10-28 08:10 +0100

csiph-web